<?php

namespace core_next;
class Config
{
    static $theme_dir;
    static $theme_url;
    static $theme_name;
    static $theme_version;
    static $theme_version_name;
    static $static_url;
    static $js_url;
    static $css_url;
    static $img_url;
    static $lib_url;
    static $set_name;
    static $expand_set_name;
    static $auth_url;
    static $theme_info_url;
    static $is_development;
    static $child_theme_url;
    static $child_theme_path;
    static $avatar_path;
    static $avatar_url;

    static function init()
    {
        self::$theme_name = 'core_next';
        self::$theme_dir = get_template_directory();
        self::$theme_url = get_template_directory_uri();
        if (is_ssl()) {
            self::$theme_url = str_replace('http://', 'https://', get_template_directory_uri());
        }
        self::$static_url = self::$theme_url . '/static';
        self::$js_url = self::$static_url . '/js';
        self::$css_url = self::$static_url . '/css';
        self::$lib_url = self::$static_url . '/lib';
        self::$img_url = self::$static_url . '/img';
        self::$theme_version = 73;
        self::$theme_version_name = '1.5.2.1';
        self::$set_name = 'core_next_set';
        self::$expand_set_name = 'core_next_set_expand';
        self::$auth_url = self::$theme_url . '/set.php';
        self::$theme_info_url = 'https://theme.lovestu.com/corenext';
        self::$child_theme_url = get_stylesheet_directory_uri();
        self::$child_theme_path = get_stylesheet_directory();
        self::$is_development = false;
        $upload_dir = wp_upload_dir();
        self::$avatar_path = $upload_dir['basedir'] . '/core_next_avatar';
        self::$avatar_url = $upload_dir['baseurl'] . '/core_next_avatar';
    }
}

Config::init();